Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.engine
Class SelectionResults

    java.lang.Object
      com.bea.commerce.ebusiness.price.engine.SelectionResults

Deprecated See BEA Commerce product offering

    @Deprecated
    public class SelectionResults

extends Object

Field Summary
`static String` | `cName` Deprecated See BEA Commerce product offering

Constructor Summary
`SelectionResults(List qualifiers, List targets, DiscountModifier modifier)` Deprecated See BEA Commerce product offering

Method Summary
`DiscountModifier` | `getModifier()` Deprecated See BEA Commerce product offering
`List` | `getQualifiers()` Deprecated See BEA Commerce product offering
`List` | `getTargets()` Deprecated See BEA Commerce product offering
`String` | `toString()` Deprecated See BEA Commerce product offering
`void` | `validate()` Deprecated See BEA Commerce product offering

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### cName

    public static final String cName

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

Constructor Detail

### SelectionResults

    public SelectionResults(List qualifiers,
                            List targets,
                            DiscountModifier modifier)

  Deprecated See BEA Commerce product offering

Method Detail

### validate

    public void validate()

  Deprecated See BEA Commerce product offering

### getQualifiers

    public List getQualifiers()

  Deprecated See BEA Commerce product offering

### getTargets

    public List getTargets()

  Deprecated See BEA Commerce product offering

### getModifier

    public DiscountModifier getModifier()

  Deprecated See BEA Commerce product offering

### toString

    public String toString()

  Deprecated See BEA Commerce product offering

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved